;; 
;; Maple - PHP Web Application Framework
;; 全体設定ファイル
;; 
;; この設定ファイルの書式について:
;;  - キーはファイル全体で一意でなければならない
;;  - キーが大文字英数の場合、自動的にPHP定数として宣言される
;;    + PHP定数の方が優先順位が高い。衝突したキーは無視される
;;  - 既に存在するキー、およびPHP定数がセクション名として指定された場合、
;;    それらの値が、セクション内の値の先頭に追加される
;;

[global-config]
;;
;; 一般設定
;;
DEBUG_MODE  = true
ACTION_KEY  = action

DEFAULT_VIEW   = simple
DEFAULT_LOGGER = errorHandle

;; 
;; 文字コードの設定
;; 
INPUT_CODE    = "UTF-8"
CONFIG_CODE   = "UTF-8"
TEMPLATE_CODE = "UTF-8"
INTERNAL_CODE = "UTF-8"
OUTPUT_CODE   = "UTF-8"
SCRIPT_CODE   = "UTF-8"

[BASE_DIR]
;; 
;; BASE_DIR セクション
;; ここで設定した値はBASE_DIRからの相対パスと見なされる
;; 
DOCUMENT_ROOT = "/htdocs"


[WEBAPP_DIR]
;; 
;; WEBAPP_DIR セクション
;; ここで設定した値はWEBAPP_DIRからの相対パスと見なされる
;; 
MODULE_DIR    =  "/../../../onedepocore/modules"
COMPONENT_DIR =  "/../../../onedepocore/components"
CORE_DIR      =  "/../../../onedepocore"
LOG_DIR       =  "/logs"
;--MODULE_DIR    =  "/modules"
;--COMPONENT_DIR =  "/components"

;;
;; View関連のディレクトリ設定
;; (注意)ディレクトリ指定での最後に「/」をつけること
;;
VIEW_TEMPLATE_DIR =  "/templates/"
VIEW_COMPILE_DIR  =  "/templates_c/"
VIEW_CONFIG_DIR   =  "/config/"
VIEW_CACHE_DIR    =  "/cache/"


[generator-config]
;;
;; Generatorが使用する設定
;; これらの値はPHP定数とはならない
;;
generator.author  = "H.Watanabe <hiroshi.watanabe@netnee.jp>"
;generator.license = "http://www.php.net/license/3_0.txt  PHP License 3.0"
;generator.copyright = "Your Name"
generator.writable_dir = "/^logs$/, /[^_]_c$/, /^cache$/"
